ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <hind.lwahh...@accenture.com>
Subject RE: webpshere application server 6 , ant and versions of ant
Date Wed, 26 Oct 2005 13:56:49 GMT

Thanks jeffrey for all your feedback.
I 'll let you know when i start experimenting !:)

Hind Lwahhabi.




-----Original Message-----
From: Jeffrey E Care [mailto:carej@us.ibm.com]
Sent: Wed 10/26/2005 3:20 PM
To: Ant Users List
Subject: RE: webpshere application server 6 , ant  and versions of ant
 
<hind.lwahhabi@accenture.com> wrote on 10/26/2005 04:16:00 AM:

> Another point: so can you imagine a scenario where ant 1.6.5 is used
> but with  websphere tasks 
> library(com.ibm.websphere.ant.tasks.*) included in its path?
> My problem is that i use ant for building  java and non-java code, 
> and was concerns only the fist part...

I answered that in my first reply. There's nothing stopping you from 
importing the WAS tasks into an Ant 1.6.5 runtime; the difficulty you may 
run into would be that I'm not sure what other JAR files (in addition to 
the one that contains the task classes) would need to be on the classpath. 
So, it may take a while before you've found all the JARs needed. Once you 
do that you run into the (admittedly remote) possibility that the tasks 
are coded to an API that is no longer available in Ant 1.6.5; I know the 
committers try extremely hard to maintain B/C, but it still might happen.

I also feel obligated to point out that I'm pretty sure that this would 
not be a supported configuration...

Good luck!
-- 
Jeffrey E. Care (carej@us.ibm.com)
WebSphere v7 Release Engineer
WebSphere Build Tooling Lead (Project Mantis)



This message is for the designated recipient only and may contain privileged, proprietary,
or otherwise private information.  If you have received it in error, please notify the sender
immediately and delete the original.  Any other use of the email by you is prohibited.


Mime
View raw message